<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Main Page</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <style>
        body {
            font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
            background-color: #252555;
            height: 100vh;
            display: flex;
            flex-direction: column;
        }
        header {
            background-color: #343a40;
            color: #fff;
            padding: 15px;
            text-align: right;
        }
        .header-link {
            color: #fff;
            text-decoration: none;
            margin-right: 10px; 
        }
        .header-link:hover {
            text-decoration: underline;
        }
        .center-text {
            text-align: center;
            font-size: 3em;
            color:#fff;
            margin-bottom: 2rem;
            font-family: 'Times New Roman', Times, serif;
        }
        .rate-text {
            text-align: left;
            font-size: 2rem;
            color:#fff;
            font-family: 'Times New Roman', Times, serif;
        }
        .star-image {
            width: 50%;
            height:50%;
            margin-bottom: 20px;
            position: relative;
            display: flex;
        }
        
        .genre-form label, .genre-form input, .genre-form p {
            color: white;  
        }
    
        .genre-form button.btn {
        background-color: #9370DB; 
        border-color: #9370DB;
        }
    
        .genre-form button.btn:hover {
        background-color: #8458B3; 
        border-color: #8458B3; 
        }
        h2 {
        color: #9370DB; 
        font-family: Arial, sans-sserif; 
        font-size: 24px; 
        font-weight: normal; 
        }
    </style>
</head>
<body>

<header class="bg-dark text-white">
    <div class="container">
        <div class="d-flex justify-content-end align-items-center">
            {% if user.is_authenticated %}
                <a href="{% url 'profile' %}" class="btn btn-outline-primary me-2">Profile</a>
                <a href="{% url 'logout' %}" class="btn btn-outline-primary me-2">Logout</a>
                <a href="{% url 'movie_list' %}" class="btn btn-outline-primary">View Movies List</a>
            {% else %}
                <a href="{% url 'login' %}" class="btn btn-outline-primary me-2">Login</a>
                <a href="{% url 'register' %}" class="btn btn-outline-primary">Register</a>
            {% endif %}
        </div>
    </div>
</header>

<div class="container">
    <div class="row">
        <div class="col-md-12">
            <div class="center-text">
                <p>Welcome to Our simple Movie Recommendation System</p>
            </div>
            <div class="rate-text">
                <p>Lets rate movies :)</p>
            </div>
        </div>
    </div>
    {% if messages %}
    <div class="container mt-4">
        {% for message in messages %}
        <div class="alert alert-{{ message.tags }} alert-dismissible fade show" role="alert">
            {{ message }}
            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
        </div>
        {% endfor %}
    </div>
    {% endif %}
    
    <div class="container">
        {% if user.is_authenticated %}
            <h2>Set Your Genre Preferences</h2>
            <form method="post" class="genre-form mt-3">
                {% csrf_token %}
                <div class="mb-3"></div>
                    {{ genre_form.as_p }}
                </div>
                <button type="submit" class="btn btn-primary">Save Preferences</button>
            </form>
        {% else %}
            <h2>You need to <a href="{% url 'login' %}">log in</a> or <a href="{% url 'register' %}">register</a> first.</h2>
        {% endif %}
    </div>
    
</div>

<div class="star-image">
    <img src="https://freepngimg.com/thumb/star/24970-3-star-transparent-background.png" alt="image1">
</div>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
</body>

<footer class="bg-dark text-white mt-5 py-4">
    <div class="container">
        <div class="row">
            <div class="col-md-6">
                <p><strong>Students Name:</strong> Mahsa Zand & Mitra Faraji</p>
                <p><strong>University:</strong> Osnabrueck University</p>
            </div>
            <div class="col-md-6">
                <p><strong>Professor:</strong>  Dr. phil. Tobias Thelen</p>
                <p><strong>Course:</strong> Artificial Intelligence and the Web</p>
            </div>
        </div>
    </div>
</footer>

</html>

